System 4.0.0.0 System.Net.EndPoint

The class contains a host name or an IP address and remote port information needed by an application to connect to a service on a host. By combining the host name or IP address and port number of a service, the class forms a connection point to a service.

Represents a network endpoint as a host name or a string representation of an IP address and a port number.

- Constructor
  4.0.0.0

  The constructor can be used to initialize a class using either a host name or a string that represents an IP address and a port. This constructor sets the property to .

  When using this constructor with a host name rather than a string representation of an IP address, the address family of the will remain even after use. The property of any that is created by calls to the method will be the address family of the first address to which a connection can be successfully established (not necessarily the first address to be resolved).

  Initializes a new instance of the class with the host name or string representation of an IP address and a port number.

  The host name or a string representation of the IP address.
  The port number associated with the address, or 0 to specify any available port. is in host order.
- Constructor
  4.0.0.0

  The constructor can be used to initialize a class using either a host name or a string that represents an IP address, a port, and an address family.

  When using the constructor with a host name rather than a string representation of an IP address, the address family restricts DNS resolution to prefer addresses of the specified address family value. When using the constructor with the address family specified as , the address family of the will remain even after use. The property of any that is created by calls to the method will be the address family of the first address to which a connection can be successfully established (not necessarily the first address to be resolved).

  Initializes a new instance of the class with the host name or string representation of an IP address, a port number, and an address family.

  The host name or a string representation of the IP address.
  The port number associated with the address, or 0 to specify any available port. is in host order.
  One of the values.
- Property
  4.0.0.0
  System.Net.Sockets.AddressFamily To be added.

  The property indicates the address family for an instance of the class.

  Gets the Internet Protocol (IP) address family.

- Method
  4.0.0.0
  System.Boolean ``

  The method compares the current instance with the parameter and returns true if the two instances contain the same endpoint.

  Compares two objects.

  true if the two instances are equal; otherwise, false.

  A instance to compare to the current instance.
- Method
  4.0.0.0
  System.Int32

  The method returns a hash code of the . This value can be used as a key in hash tables.

  Returns a hash value for a .

  An integer hash value for the .

- Property
  4.0.0.0
  System.String To be added.

  The property indicates the host name or string representation of the IP address for an instance of the class.

  Gets the host name or string representation of the Internet Protocol (IP) address of the host.

- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the port number of the .

- Method
  4.0.0.0
  System.String

  The method returns a string that contains the address family, the host name or IP address string, and the port number.

  Returns the host name or string representation of the IP address and port number of the .

  A string containing the address family, host name or IP address string, and the port number of the specified .